For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
        • Marketing
        • Store Content
        • Themes
            • GETList Themes
            • POSTUpload Theme
            • GETGet Theme
            • DELDelete Theme
              • GETList Custom Templates
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentThemesTheme Custom Templates

List Custom Templates

GET
https://api.bigcommerce.com/stores/:store_hash/v3/themes/custom-templates/:version_uuid
GET
/stores/:store_hash/v3/themes/custom-templates/:version_uuid
$curl https://api.bigcommerce.com/stores/store_hash/v3/themes/custom-templates/version_uuid \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"
200Custom template 1
1{
2 "data": {
3 "product": [
4 "custom-product-1.html"
5 ],
6 "category": [],
7 "brand": [
8 "custom-brand-1.html"
9 ],
10 "page": [
11 "custom-page-1.html",
12 "holiday-page.html"
13 ]
14 },
15 "meta": {}
16}
Enumerate available custom templates for in the theme files in a specific theme version for each supported entity type.
Was this page helpful?
Previous

Validate Theme Configuration

Next

Get Theme Job

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Themesmodifystore_themes_manage

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

version_uuidstringRequired
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

OK
dataobject
metaobject
Response metadata.